<?php
namespace FM\Factory;

use Doctrine\ORM\EntityManager;
use FM\Traits\TQuery;

class RelatoriosVistoriaFactory {

    use TQuery;

    protected $connection;

    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function getFuncionarios() {

        $sql = "SELECT NRFUNCIONARIO, NMFUNCIONARIO
                        FROM FCM_FUNCIONARIO
                       WHERE IDATIVO = 'S'
                    ORDER BY NMFUNCIONARIO";
        
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

    public function getRelatoriosVistoria() {

        $sql = "SELECT GCHK.NRGERENCIAMENTOCHK, GCHK.NRLOCALCLIENTE, GCHK.NRCHECKLIST, GCHK.NRFUNCIONARIO, GCHK.IDSITUACAOGERCHK, GCHK.IDATIVO, GCHK.NMGERENCIAMENTOCHK, 
                    TO_CHAR(GCHK.DTHORAAGEND, 'DD/MM/YYYY HH24:MI') AS DTHORAAGEND, TO_CHAR(GCHK.DTHRFINALAGEND, 'DD/MM/YYYY HH24:MI') AS DTHRFINALAGEND,GCHK.NRCHECKLISTAGEND, 
                    F.NMFUNCIONARIO, LC.NMLOCALCLIENTE, LC.CDCLIENTE, CHK.NMCHECKLIST, C.NMRAZSOCCLIE, ROUND(24 *(60 *(GCHK.DTHRFINALAGEND - GCHK.DTHORAAGEND)), 2) || ' min' AS DURACAO,  CHKA.IDSITUACAOAGEND,
                    DECODE(CHKA.IDSITUACAOAGEND, '4', CASE GCHK.IDSITUACAOGERCHK 
                                    WHEN '1' THEN 'Aguardando Vistoria'
                                    WHEN '2' THEN 'Em andamento'
                                    WHEN '3' THEN 'Avaliado'
                                    ELSE NULL END, 'Tarefa Pendente') AS NMIDSITUACAOGERCHK 
                         FROM FCM_GERENCIAMENTOCHK GCHK
                    LEFT JOIN FCM_FUNCIONARIO F
                           ON F.NRFUNCIONARIO = GCHK.NRFUNCIONARIO
                    LEFT JOIN FCM_LOCALCLI LC
                           ON LC.NRLOCALCLIENTE = GCHK.NRLOCALCLIENTE
                    LEFT JOIN FCM_CHECKLIST CHK
                           ON CHK.NRCHECKLIST = GCHK.NRCHECKLIST
                    LEFT JOIN CLIENTE C
                           ON C.CDCLIENTE = LC.CDCLIENTE
                    LEFT JOIN FCM_CHECKLISTAGEND CHKA
                           ON CHKA.NRCHECKLISTAGEND = GCHK.NRCHECKLISTAGEND";

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

    public function getCriteriosVistoria($parametros) {
        $nrgerenciamentochk = $parametros;

        $sql = "SELECT CG.NRCRITERIOTARGERCHK, CG.IDMARCADO, TG.DSOBSTAREFAGERCHK,A.NMATIVIDADE || ' - ' || CG.NMCRITERIOTARGERCHK  AS NMCRITERIO
                        FROM FCM_CRITERIOTARGERCHK CG
                        JOIN FCM_TAREFAGERCHK TG
                        ON TG.NRTAREFAGERCHK = CG.NRTAREFAGERCHK
                        JOIN FCM_TAREFACHK TCHK
                        ON TCHK.NRTAREFACHK = TG.NRTAREFACHK
                        JOIN FCM_ATIVIDADECHK ACHK
                        ON ACHK.NRATIVIDADECHK = TCHK.NRATIVIDADECHK
                        JOIN FCM_ATIVIDADE A
                        ON A.NRATIVIDADE = ACHK.NRATIVIDADE
                    WHERE TG.NRGERENCIAMENTOCHK = $nrgerenciamentochk";

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

    public function getFotosVistoria($parametros) {
        $nrgerenciamentochk = $parametros;

        $sql = "SELECT FGCHK.NRFOTOTAREFAGERCHK, FGCHK.NRTAREFAGERCHK, FGCHK.DSFOTOTAREFAGERCHK
                    FROM FCM_FOTOTAREFAGERCHK FGCHK
                    JOIN FCM_TAREFAGERCHK TGCHK
                      ON TGCHK.NRTAREFAGERCHK = FGCHK.NRTAREFAGERCHK
                    JOIN FCM_GERENCIAMENTOCHK GCHK
                      ON TGCHK.NRGERENCIAMENTOCHK = GCHK.NRGERENCIAMENTOCHK
                   WHERE GCHK.NRGERENCIAMENTOCHK = $nrgerenciamentochk";

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }
}